ru.bitel.bgbilling.modules.inet.accounting.event

## Class InetConnectionAliveEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.PoolEvent
    - - ru.bitel.bgbilling.modules.inet.accounting.event.InetConnectionAliveEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class InetConnectionAliveEvent
      extends PoolEvent

  Событие о том, что сессия жива. Приходит всем серверам, за исключением того, кто его отправил
  Генерируется периодически, если настроен worker. Пока нужно только для сессий по трафику.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `InetConnectionAliveEvent()`
    `` | `InetConnectionAliveEvent(PoolEventPublisher<?> publisher, int contractId, InetConnection connection)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `InetConnection` | `getConnection()`
    `protected void` | `prepareMessage(javax.jms.Message message)`
    `protected void` | `toString(java.lang.StringBuilder sb)`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, serializeAsObject, setLogFunctionProcess, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InetConnectionAliveEvent

          protected InetConnectionAliveEvent()

    - #### InetConnectionAliveEvent

          public InetConnectionAliveEvent(PoolEventPublisher<?> publisher,
                                          int contractId,
                                          InetConnection connection)

  - ### Method Detail

    - #### prepareMessage

          protected void prepareMessage(javax.jms.Message message)
                                 throws javax.jms.JMSException

      Overrides:
        `prepareMessage` in class `Event`
      Throws:
        `javax.jms.JMSException`

    - #### getConnection

          public InetConnection getConnection()

    - #### toString

          protected void toString(java.lang.StringBuilder sb)

      Overrides:
        `toString` in class `Event`